package com.zjty.inspect.entity;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.util.ArrayList;
import java.util.HashSet;
import java.util.List;
import java.util.Set;

/**
 * @author Mcj
 * @date 2020-03-01 21:18
 */
@Data
@ApiModel(value = "依赖树")
public class DepTreePom {
    Set<String> technologies =  new HashSet<>();
    private String id;
    private DepTree depTree;

    public void add(String id){
        technologies.add(id);
    }

}
